org.jboss.resteasy.plugins.providers

## Class AbstractEntityProvider<T>

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractEntityProvider<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    MessageBodyReader<T>, MessageBodyWriter<T>
  Direct Known Subclasses:
    AbstractJAXBProvider, DataSourceProvider, DocumentProvider, IIOImageProvider, MimeMultipartProvider, YamlProvider

      public abstract class AbstractEntityProvider<T>
      extends Object
      implements MessageBodyReader<T>, MessageBodyWriter<T>

  A AbstractEntityProvider.
  Version:
    $Revision: $
  Author:

    - - ### Constructor Summary

        Constructors
        Constructor and Description
        `AbstractEntityProvider()`

      - ### Method Summary

        Methods
        Modifier and Type | Method and Description
        --- | ---
        `long` | `getSize(T t, Class<?> type, Type genericType, Annotation[] annotations, MediaType mediaType)` Originally, the method has been called before `writeTo` to ascertain the length in bytes of the serialized form of `t`.

        - ### Methods inherited from class java.lang.Object

          `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

        - ### Methods inherited from interface javax.ws.rs.ext.MessageBodyReader

          `isReadable, readFrom`

        - ### Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter

          `isWriteable, writeTo`

- - ### Constructor Detail

    - #### AbstractEntityProvider

          public AbstractEntityProvider()

  - ### Method Detail

    - #### getSize

          public long getSize(T t,
                     Class<?> type,
                     Type genericType,
                     Annotation[] annotations,
                     MediaType mediaType)

      Description copied from interface: `MessageBodyWriter`
      Originally, the method has been called before `writeTo` to ascertain the length in bytes of the serialized form of `t`. A non-negative return value has been used in a HTTP `Content-Length` header.

      As of JAX-RS 2.0, the method has been deprecated and the value returned by the method is ignored by a JAX-RS runtime. All `MessageBodyWriter` implementations are advised to return `-1` from the method. Responsibility to compute the actual `Content-Length` header value has been delegated to JAX-RS runtime.

      Specified by:
        `getSize` in interface `MessageBodyWriter<T>`
      Parameters:
        `t` - the instance to write
        `type` - the class of instance that is to be written.
        `genericType` - the type of instance to be written. `GenericEntity` provides a way to specify this information at runtime.
        `annotations` - an array of the annotations attached to the message entity instance.
        `mediaType` - the media type of the HTTP entity.
      Returns:
        length in bytes or -1 if the length cannot be determined in advance.

Copyright © 2014. All Rights Reserved.